package com.blamejared.compat.chisel;

package .tmp;

import com.blamejared.ModTweaker;
import com.blamejared.mtlib.helpers.InputHelper;
import crafttweaker.annotations.ModOnly;
import crafttweaker.annotations.ZenRegister;
import crafttweaker.api.item.IItemStack;
import stanhebben.zenscript.annotations.ZenClass;
import stanhebben.zenscript.annotations.ZenMethod;

@ZenRegister
@ZenClass("mods.chisel.Carving")
@ModOnly("chisel")
public class Carving {
  @ZenMethod
  public static void addGroup(String name) {
    ModTweaker.LATE_ADDITIONS.add(new ActionAddGroup(name));
  }
  
  @ZenMethod
  public static void addVariation(String groupName, IItemStack stack) {
    ModTweaker.LATE_ADDITIONS.add(new ActionAddVariation(groupName, InputHelper.toStack(stack)));
  }
  
  @ZenMethod
  public static void removeGroup(String name) {
    ModTweaker.LATE_REMOVALS.add(new ActionRemoveGroup(name));
  }
  
  @ZenMethod
  public static void removeVariation(String groupName, IItemStack stack) {
    ModTweaker.LATE_ADDITIONS.add(new ActionRemoveVariation(groupName, InputHelper.toStack(stack)));
  }
}
